boot.scr and BOOT.BIN should be on the /BOOT folder in order to download automatically
Have seen that if we try to run another kernel afterwards (different from pqClean multiplier), the kernel crushes (zocl issue)
